
/**Include to use the hardware abstraction layer*/
#include "hal_cc2530znp_target_board.h"

#define NumParam 200   //defines the sample amount

unsigned int AD_Values[NumParam], i;
void Init_ADC(void);

int main( void )
{
	/**Initialize clock, ports, UART and Timer*/
    halInit();
    Init_ADC();
    Init_Timer();
    while (1) 
    { 
	    for (i=0;i<NumParam;i++)   {printf("%u ", AD_Values[i]);}
    	HAL_SLEEP();       
    }
}

//TimerA interrupt service routine
void handleTimer()
{   
    ADC10CTL0 &= ~ENC;
    while (ADC10CTL1 & BUSY);               // Wait if ADC10 core is active
    ADC10SA =(unsigned int) &AD_Values[0];  // Data buffer start 
    ADC10CTL0 |= ENC + ADC10SC;             // Sampling and conversion start 
    __bis_SR_register(CPUOFF + GIE);        // LPM0, ADC10_ISR will force exit ed
}

//Initialize ADC: Watchdog off, 2,5V Ref on, ADC10 on, ADC interrupt enable, sample channel 13, P4.4 analog input 
void Init_ADC()
{
  ADC10CTL0 = SREF_1 + REF2_5V + REFON + ADC10ON + MSC + ADC10SR + ADC10IE; // 0x34F8; 
  ADC10CTL1 = INCH_13 + CONSEQ_2; // 0xD004;				
  ADC10AE1 |= 0x20;                  		// P4.4 ADC option select  
  ADC10DTC1 = NumParam;                                      
}

// ADC10 interrupt service routine wakes up ADC
#pragma vector=ADC10_VECTOR
__interrupt void ADC10_ISR(void)
{
  __bic_SR_register_on_exit(CPUOFF);       		 // Clear CPUOFF bit from 0(SR)
}
