
/**Include to use the hardware abstraction layer*/
#include "hal_cc2530znp_target_board.h"

unsigned int getLightSensor();

int main( void )
{
	/**Initialize clock, ports, UART and Timer*/
    halInit();
    printf("Reading Vcc and Light Sensor\r\n");
    while (1) 
    { 
        unsigned int lightSensor = convertAdcToLux(getLightSensor()) * 10;
        if(lightSensor<300){printf("You should find a sunnier place     ");}
        if(lightSensor>5000){printf("Be careful, the sun comes frightening close    ");}
        printf("Light Sensor = %u lux\r\n", lightSensor);
        toggleLed(1);         
        delayMs(2000);          
    }
}



/** Reads the light sensor.
Turns on Light sensor, configures ADC, reads the value, and converts it to lux.
@note Light sensor outputs current between 0 to 50uA. On the target board, load resistor = 47k Ohms.
@note 0 to 100,000lx will generate 0 to 2350mV input into our ADC.
@note Light sensor analog input is on P2.0, or analog input A0.
@note This light sensor is binned for a sensitivity of 27 to 30 uA @ 1000lux = 1269-1410 mV = ADC readings of 520-578counts 
@return Light Sensor reading in lux/10.
*/
unsigned int getLightSensor()
{
    LIGHT_SENSOR_ON();
	delayMs(250);
    ADC10CTL1 = /**Insert your code here*/;					
    ADC10CTL0 = /**Insert your code here*/;                               
    ADC10AE0 =  /**Insert your code here*/;
    delayMs(1);                                     // Allow internal reference to stabilize, also light sensor needs time to stabilize
    ADC10CTL0 |= ENC + ADC10SC;                     // Enable conversions
    while (ADC10CTL1 & ADC10BUSY);                	// Conversion done?
    LIGHT_SENSOR_OFF();
    ADC10CTL0 = 0;									// Turn off reference for powersaving
    return(ADC10MEM);
}
