%Edit by Marco Romminger on March 2015
%Program lists available serial Ports on your computer. 
%User can enter number of ComPort to connect to
%Program waits until serial port buffer is filled (512 Bytes)
%Program searches for data in the received string
%Program plots data: one subplot per received message

clc
clear all

% Available_serial_Ports=instrhwinfo('serial');
% fprintf('Available serial ports: ')
% for k=1:length(Available_serial_Ports.AvailableSerialPorts)
%     fprintf('\t %s',Available_serial_Ports.AvailableSerialPorts{k})
% end;
        
%if ComPort opened: close it!
delete(instrfindall);       
COM=input('\n\nEnter the number of the serial port you want to connect to\n(e.g. If you would like to connect to COM1 enter 1): ');
COM = num2str(COM);
COMPort= ['COM' COM]
%8n1 configuration for ComPort
s = serial(COMPort, 'BaudRate', 9600,'DataBits',8); 
%open session
fopen(s);                                                
fprintf('Wait until serial buffer is filled ...')
%wait until serial buffer is filled
while s.BytesAvailable < 512       
end
%read serial buffer
string = fread(s,s.BytesAvailable,'uint8');
string = char(string');
%uncomment below to see the received string
%fprintf('\nReceived data %s',string)   

data = strread(string,'%s','delimiter',' ','whitespace','')';
data=str2double(data);
data1=data;
data(1)=[];
data(end)=[];
data(isnan(data(:,1)),:)=[];
data=(data/1023*3.93-1.92)*2; % Manual dimensioning of the input data


sampling_time=34e-7;
%plot data
time=linspace(0,length(data)*sampling_time,length(data));
xx=0:sampling_time/10:sampling_time*length(data);
yy=spline(time,data,xx); plot(xx,yy), ylabel('voltage [V]'), xlabel('time')
title('Waveform'), axis([0 length(data)*sampling_time+sampling_time -3 3])

%close session, delete buffer
fclose(s)
delete(s)
clear s